## Package mars.mips.hardware

Class Summary
AccessNotice: Object provided to Observers of runtime access to MIPS memory or registers.
Coprocessor0: Represents Coprocessor 0.
Coprocessor1: Represents Coprocessor 1, the Floating Point Unit (FPU)
Memory: Represents MIPS memory.
MemoryAccessNotice: Object provided to Observers of runtime access to MIPS memory.
MemoryConfiguration: Models the memory configuration for the simulated MIPS machine.
MemoryConfigurations: Models the collection of MIPS memory configurations.
Register: Abstraction to represent a register of a MIPS Assembler.
RegisterAccessNotice: Object provided to Observers of runtime access to MIPS register.
RegisterFile: Represents the collection of MIPS registers.

Exception Summary
AddressErrorException: Represents MIPS AddressErrorException.
InvalidRegisterAccessException: Represents attempt to access double precision register using an odd (e.g.